Bug 447155 - HP Pavilion dv6500: display stays black after resume from suspend
HP Pavilion dv6500: display stays black after resume from suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 07:02 EDT by Dan Atmakin
Modified: 2009-07-14 11:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:46:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lspci command (2.29 KB, application/octet-stream)
2008-05-18 07:02 EDT, Dan Atmakin
no flags Details
output of pm-utils-bugreport-info.sh script executed as root (3.42 KB, application/x-sh)
2008-05-18 10:02 EDT, Dan Atmakin
no flags Details

  None (edit)
Description Dan Atmakin 2008-05-18 07:02:17 EDT
Good day,

Description of problem:
notebook don't wake up correctly after successful suspending/hibernating. 
seems that display has no power. I see only blank screen like notebook is turned
off.
but operating system works correctly, because I can switch to text terminal
(ctrl+alt+F1 for example) and I can type login and password for executing
process of rebooting. while I do all these manipulations, my display is black, I
don't see any his vital sparks. 
also I can connect to him via ssh and reboot him from remote terminal. It is
rather good because notebook linked to my homenetwork only via wifi connection
and I use only nm-applet for configurating it. I think it's meaning that DE with
xorg server was resumed successfully.

Version-Release number of selected component (if applicable):
1.1.0-7.fc9

Additional info:
notebook model: HP dv6670er
lspci output is attached
I tried to use different video drivers such as vesa, nv but always had the same
result.
in fedora 8 I have not any problem with it.
Comment 1 Dan Atmakin 2008-05-18 07:02:17 EDT
Created attachment 305839 [details]
output of lspci command
Comment 2 Till Maas 2008-05-18 07:47:06 EDT
Would you please run pm-utils-bugreport-info.sh as root and attach the output?
Comment 3 Dan Atmakin 2008-05-18 10:02:59 EDT
Created attachment 305848 [details]
output of pm-utils-bugreport-info.sh script executed as root
Comment 4 Till Maas 2008-05-18 10:28:10 EDT
Does "pm-suspend --quirk-s3-bios" work for you?
Comment 5 Dan Atmakin 2008-05-18 11:01:16 EDT
(In reply to comment #4)
> Does "pm-suspend --quirk-s3-bios" work for you?

no, i have the same result
Comment 6 Till Maas 2008-05-18 13:41:01 EDT
Does it work when you suspend without having X started? E.g. 
- go to a text terminal
- login as root
- run "init 3"
- run "pm-suspend --quirk-s3-bios"

I guess it is either a bug in the xserver or a bug in the kernel.
Comment 7 Dan Atmakin 2008-05-18 14:25:48 EDT
(In reply to comment #6)
> Does it work when you suspend without having X started? E.g. 
> - go to a text terminal
> - login as root
> - run "init 3"
> - run "pm-suspend --quirk-s3-bios"
> 
> I guess it is either a bug in the xserver or a bug in the kernel.

notebook was resumed successfully after hibernating (pm-hibernate without any
options) from third run level, but suspending (init 3 && pm-suspend
--quirk-s3-bios and without this option) still don't work. 

it seems to me that problem in the power management of display because when I do
resume after hibernating, display  turned on, on the stage of bios loading and I
can see process of kernel boot or uneven black color which signals to me that
display was turned on. in the case of resuming after suspend, display don't
turned on because I don't see any reaction on the lcd matrix such as uneven
black color or different artefacts.
Comment 8 Till Maas 2008-05-18 14:39:17 EDT
I guess this is a kernel bug then, I changed the component, hopefully the kernel
maintainers can fix this.

You can also try the other quirks that are described at:
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-index.html
Maybe one of them helps.
Comment 9 Dan Atmakin 2008-05-18 15:31:10 EDT
(In reply to comment #8)
> I guess this is a kernel bug then, I changed the component, hopefully the kernel
> maintainers can fix this.
> 
> You can also try the other quirks that are described at:
> http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-index.html
> Maybe one of them helps.

It was first page wich google recomendate me to visit =) 

in any way thanks!

Comment 10 Bug Zapper 2009-06-09 20:57:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Christos Papadopoulos 2009-06-22 17:49:01 EDT
Similar problems with my X40 with intel graphics card. This seems like a regression, since Fedora 10 worked flawlessly.

Has anyone figured out the problem?
Comment 12 Bug Zapper 2009-07-14 11:46:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.